"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMAtomicRMWBinOp
	instanceVariableNames:''
	classVariableNames:'LLVMAtomicRMWBinOpXchg LLVMAtomicRMWBinOpAdd
		LLVMAtomicRMWBinOpSub LLVMAtomicRMWBinOpAnd
		LLVMAtomicRMWBinOpNand LLVMAtomicRMWBinOpOr LLVMAtomicRMWBinOpXor
		LLVMAtomicRMWBinOpMax LLVMAtomicRMWBinOpMin
		LLVMAtomicRMWBinOpUMax LLVMAtomicRMWBinOpUMin'
	poolDictionaries:''
	category:'LLVM-Core-Constants'
!

!LLVMAtomicRMWBinOp class methodsFor:'initialization'!

initialize

    LLVMAtomicRMWBinOpXchg := 0.
    LLVMAtomicRMWBinOpAdd := 1.
    LLVMAtomicRMWBinOpSub := 2.
    LLVMAtomicRMWBinOpAnd := 3.
    LLVMAtomicRMWBinOpNand := 4.
    LLVMAtomicRMWBinOpOr := 5.
    LLVMAtomicRMWBinOpXor := 6.
    LLVMAtomicRMWBinOpMax := 7.
    LLVMAtomicRMWBinOpMin := 8.
    LLVMAtomicRMWBinOpUMax := 9.
    LLVMAtomicRMWBinOpUMin := 10.
! !

!LLVMAtomicRMWBinOp class methodsFor:'constants'!

LLVMAtomicRMWBinOpAdd

    ^LLVMAtomicRMWBinOpAdd
!

LLVMAtomicRMWBinOpAnd

    ^LLVMAtomicRMWBinOpAnd
!

LLVMAtomicRMWBinOpMax

    ^LLVMAtomicRMWBinOpMax
!

LLVMAtomicRMWBinOpMin

    ^LLVMAtomicRMWBinOpMin
!

LLVMAtomicRMWBinOpNand

    ^LLVMAtomicRMWBinOpNand
!

LLVMAtomicRMWBinOpOr

    ^LLVMAtomicRMWBinOpOr
!

LLVMAtomicRMWBinOpSub

    ^LLVMAtomicRMWBinOpSub
!

LLVMAtomicRMWBinOpUMax

    ^LLVMAtomicRMWBinOpUMax
!

LLVMAtomicRMWBinOpUMin

    ^LLVMAtomicRMWBinOpUMin
!

LLVMAtomicRMWBinOpXchg

    ^LLVMAtomicRMWBinOpXchg
!

LLVMAtomicRMWBinOpXor

    ^LLVMAtomicRMWBinOpXor
! !


LLVMAtomicRMWBinOp initialize!
