"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

LLVMDisposableObject subclass:#LLVMTargetData
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-Core'
!


!LLVMTargetData class methodsFor:'instance creation'!

new
    ^ self newFromDescription: ''

    "Created: / 11-07-2015 / 07:04:13 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

newFromDescription: aString
    self assert: aString isSingleByteString.
    ^ LLVM CreateTargetData: aString

    "Created: / 11-07-2015 / 07:03:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMTargetData methodsFor:'initialization & release'!

dispose
    ^ LLVM DisposeTargetData: self

    "Modified: / 08-07-2015 / 22:41:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

finalize
    super setAddress: 0.
    self unregisterForFinalization.
    self dispose

    "Created: / 08-07-2015 / 22:38:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMTargetData class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

