"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMAtomicOrdering
	instanceVariableNames:''
	classVariableNames:'LLVMAtomicOrderingNotAtomic LLVMAtomicOrderingUnordered
		LLVMAtomicOrderingMonotonic LLVMAtomicOrderingAcquire
		LLVMAtomicOrderingRelease LLVMAtomicOrderingAcquireRelease
		LLVMAtomicOrderingSequentiallyConsistent'
	poolDictionaries:''
	category:'LLVM-Core-Constants'
!

!LLVMAtomicOrdering class methodsFor:'initialization'!

initialize

    LLVMAtomicOrderingNotAtomic := 0.
    LLVMAtomicOrderingUnordered := 1.
    LLVMAtomicOrderingMonotonic := 2.
    LLVMAtomicOrderingAcquire := 4.
    LLVMAtomicOrderingRelease := 5.
    LLVMAtomicOrderingAcquireRelease := 6.
    LLVMAtomicOrderingSequentiallyConsistent := 7.
! !

!LLVMAtomicOrdering class methodsFor:'constants'!

LLVMAtomicOrderingAcquire

    ^LLVMAtomicOrderingAcquire
!

LLVMAtomicOrderingAcquireRelease

    ^LLVMAtomicOrderingAcquireRelease
!

LLVMAtomicOrderingMonotonic

    ^LLVMAtomicOrderingMonotonic
!

LLVMAtomicOrderingNotAtomic

    ^LLVMAtomicOrderingNotAtomic
!

LLVMAtomicOrderingRelease

    ^LLVMAtomicOrderingRelease
!

LLVMAtomicOrderingSequentiallyConsistent

    ^LLVMAtomicOrderingSequentiallyConsistent
!

LLVMAtomicOrderingUnordered

    ^LLVMAtomicOrderingUnordered
! !


LLVMAtomicOrdering initialize!
