"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

LLVMValue subclass:#LLVMFunction
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-Core'
!

!LLVMFunction methodsFor:'accessing'!

numArgs
    ^ LLVM GetNumOperands: self.

    "Created: / 11-07-2015 / 09:42:07 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

parameterAt: index
    | value |

    value := LLVM GetParam: self  _: index - 1.
    value name isEmptyOrNil ifTrue:[
        value name: 'arg', index printString.
    ].
    ^ value

    "Created: / 07-07-2015 / 22:49:38 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 11-07-2015 / 09:45:43 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMFunction methodsFor:'functions-adding'!

addBasicBlockNamed: name
    self assert: name isSingleByteString.
    ^ LLVM AppendBasicBlock: self  _: name

    "Created: / 08-07-2015 / 23:09:00 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

