"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMTypeKind
	instanceVariableNames:''
	classVariableNames:'LLVMVoidTypeKind LLVMHalfTypeKind LLVMFloatTypeKind
		LLVMDoubleTypeKind LLVMX86_FP80TypeKind LLVMFP128TypeKind
		LLVMPPC_FP128TypeKind LLVMLabelTypeKind LLVMIntegerTypeKind
		LLVMFunctionTypeKind LLVMStructTypeKind LLVMArrayTypeKind
		LLVMPointerTypeKind LLVMVectorTypeKind LLVMMetadataTypeKind
		LLVMX86_MMXTypeKind'
	poolDictionaries:''
	category:'LLVM-Core-Constants'
!


!LLVMTypeKind class methodsFor:'initialization'!

initialize

    LLVMVoidTypeKind := 0.
    LLVMHalfTypeKind := 1.
    LLVMFloatTypeKind := 2.
    LLVMDoubleTypeKind := 3.
    LLVMX86_FP80TypeKind := 4.
    LLVMFP128TypeKind := 5.
    LLVMPPC_FP128TypeKind := 6.
    LLVMLabelTypeKind := 7.
    LLVMIntegerTypeKind := 8.
    LLVMFunctionTypeKind := 9.
    LLVMStructTypeKind := 10.
    LLVMArrayTypeKind := 11.
    LLVMPointerTypeKind := 12.
    LLVMVectorTypeKind := 13.
    LLVMMetadataTypeKind := 14.
    LLVMX86_MMXTypeKind := 15.
! !

!LLVMTypeKind class methodsFor:'constants'!

LLVMArrayTypeKind

    ^LLVMArrayTypeKind
!

LLVMDoubleTypeKind

    ^LLVMDoubleTypeKind
!

LLVMFP128TypeKind

    ^LLVMFP128TypeKind
!

LLVMFloatTypeKind

    ^LLVMFloatTypeKind
!

LLVMFunctionTypeKind

    ^LLVMFunctionTypeKind
!

LLVMHalfTypeKind

    ^LLVMHalfTypeKind
!

LLVMIntegerTypeKind

    ^LLVMIntegerTypeKind
!

LLVMLabelTypeKind

    ^LLVMLabelTypeKind
!

LLVMMetadataTypeKind

    ^LLVMMetadataTypeKind
!

LLVMPPC_FP128TypeKind

    ^LLVMPPC_FP128TypeKind
!

LLVMPointerTypeKind

    ^LLVMPointerTypeKind
!

LLVMStructTypeKind

    ^LLVMStructTypeKind
!

LLVMVectorTypeKind

    ^LLVMVectorTypeKind
!

LLVMVoidTypeKind

    ^LLVMVoidTypeKind
!

LLVMX86_FP80TypeKind

    ^LLVMX86_FP80TypeKind
!

LLVMX86_MMXTypeKind

    ^LLVMX86_MMXTypeKind
! !

!LLVMTypeKind class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !


LLVMTypeKind initialize!
